﻿<div class="top-row pl-4 navbar navbar-dark">
    <a class="navbar-brand" href="">Car Log</a>
    <button class="navbar-toggler" @onclick="ToggleNavMenu">
        <span class="navbar-toggler-icon"></span>
    </button>
</div>

<div class="@NavMenuCssClass" @onclick="ToggleNavMenu">
    <ul class="nav flex-column">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="" Match="NavLinkMatch.All">
                <span class="iconify" data-icon="bi:layout-text-sidebar-reverse" data-width="24"></span>&emsp; Dashboard
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="travels">
                <span class="iconify" data-icon="healthicons:travel-alt-outline" data-width="32"></span>&emsp; Travels
            </NavLink>
        </li>
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="charges">
                <span class="iconify" data-icon="ri:battery-2-charge-line" data-width="32"></span>&emsp; Charges
            </NavLink>
        </li>
        <AuthorizeView Roles="Admin">
        <li class="nav-item px-3">
            <NavLink class="nav-link" href="register">
                <span class="iconify" data-icon="ri:battery-2-charge-line" data-width="32"></span>&emsp; Register
            </NavLink>
        </li>   
        </AuthorizeView>
     </ul>
</div>

@code {
    private bool collapseNavMenu = true;

    private string NavMenuCssClass => collapseNavMenu ? "collapse" : null;

    private void ToggleNavMenu()
    {
        collapseNavMenu = !collapseNavMenu;
    }
}
